[package]
name = "vdrtools-cli"
version = "0.8.6"
authors = ["dev@evernym.com"]
license = "MIT/Apache-2.0"
description = """\
This is the official command line interface for VDR Tools,\
which provides a distributed-ledger-based foundation for self-sovereign\
identity."""
edition = "2018"

[features]
cheqd = ["vdrtools/cheqd"]
cheqd_nym_enable = ["vdrtools/cheqd_nym_enable"]

# Causes the build to fail on all warnings
fatal_warnings = []

[dependencies]
atty = "0.2"
ansi_term = "0.11"
chrono = "0.4"
dirs = "1.0.4"
unescape = "0.1"
lazy_static = "1.3"
libc = "0.2"
libloading = "0.5.0"
linefeed = "0.3"
log = "0.4.1"
log4rs = "0.8.0"
prettytable-rs = "0.6.7"
regex = "0.2"
serde = "1.0.97"
serde_json = "1.0.40"
serde_derive = "1.0.99"
term = "0.4.6"
rpassword = "1.0.0"
cfg-if = "1.0.0"
vdrtools = { version = "0.8.6", path = "../wrappers/rust/" }
quote = "=1.0.7"
failure_derive = "0.1.7"

[dev-dependencies]
rstest = "0.6.4"

[package.metadata.deb]
name = "vdrtools-cli"
depends = "libvdrtools (= 0.8.6), libncursesw5-dev"
conflicts = "indy-cli"  # TODO rename binary and remove this section
section = "devel"
priority = "optional"
assets = [
    ["target/release/vdrtools-cli", "usr/bin/", "755"]
]
maintainer-scripts = "./debian"
changelog = "./debian/changelog"

[package.metadata.deb.variants.vdrtools-cli-focal]
provides = "vdrtools-cli (= 0.8.6)"

[package.metadata.deb.variants.vdrtools-cli-bionic]
provides = "vdrtools-cli (= 0.8.6)"
